#!/bin/bash

OldVMwareToolsVersion='VMwareTools-8.6.0-425873'
CurrentVMT=''

CurrentVMT=$(rpm -q VMwareTools)

if [[ "$CurrentVMT" == "$OldVMwareToolsVersion" ]];
then
	echo "Replacing old VMwareTools with Newer one"
	#removing older vmwareTools
	echo "Removing older vmwareTools"
	rpm -e VMwareTools
fi


if [ "$CurrentVMT" == "$OldVMwareToolsVersion" -o "$1" == "firstRun" ];
then
	#Creating temporary folder to extract vmwareTools
	echo "Creating temporary folder to extract vmwareTools"
	mkdir -p /tmp/vmwaretools
	cd /tmp/vmwaretools

	#extracting vmwareTools to /tmp/vmwaretools/
	echo "Extracting vmwareTools to /tmp/vmwaretools/"
	tar -xvf /usr/share/webapps/spectre/vmwaretools/VMwareTools-9.4.0-1280544.tar.gz
	sleep 1

	#install and configure vmwaretools
	echo "Install and configure vmwaretools"
	/tmp/vmwaretools/vmware-tools-distrib/vmware-install.pl --default
	sleep 1

	#removing temporary folder
	echo "removing /tmp/vmwaretools"
	cd ..
	rm -rf -- vmwaretools
else
	echo "Latest VMwareTools already exists"
	sleep 2
fi

